Skip to main content
GET
Read recent messages in a Google Chat space

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Path Parameters

spaceId
string
required

The ID after spaces/ in a space name, e.g. AAAA1234 for spaces/AAAA1234.

Required string length: 1 - 256
Pattern: ^[A-Za-z0-9_-]+$

Query Parameters

pageSize
integer
default:25
Required range: 1 <= x <= 100
pageToken
string

nextPageToken from the previous page of the same request.

Required string length: 1 - 2048

Response

Google's validated response.

messages
object[]
nextPageToken
string